#!/bin/sh

# Falls Datei nicht gefunden, bitte ein mal per Shell ausfhren:
# dos2unix /storage/.config/ambilight-cec-demon.sh

#Alle Angaben beziehen sich auf Sekunden
CheckTime=15 #In welchem Rhythmus soll kontrolliert werden? Ich Empfehle zwischen 15 und 60 Sekunden
WaitTimeAfterStop=10 #Wie lang soll nach dem Stopen von Ambilight gewartet werden? Wrde ich bei 10 Sekunden belassen.
WaitTimeAfterStart=10 #Wie lang soll nach dem Starten von Ambilight gewartet werden? Wrde ich bei 10 Sekunden belassen.

#Hier bitte nichts ndern
path=$@ #Get the Path of the Config File

while :; do
    echo "CEC Status Abfragen"
    command="echo pow 0 | cec-client -s -d 1 | grep 'power status'"
    status=$(eval $command) 
    echo $status
    
    if [ "$status" = "power status: standby" ] || [ "$status" = "power status: unknown" ]; then
      echo "Fernsehe ist aktuell Ausgeschalten!"
      #Hyperion Status abfragen, ob bereits aingeschaltet
      SERVICE='hyperiond'
      if ps | grep -v grep | grep $SERVICE > /dev/null
      then
         echo "Ambilight luft - Ausschalten!"
         /storage/hyperion/bin/hyperion-remote.sh --priority 50 --color black --duration 0
         sleep 1
         kodi-send -a "Notification(Hyperion Info,Ambilight wurde ausgeschaltet,7000,http://powerpi.de/wp-content/uploads/powerpi/powerpi_ambi_thumb_off.jpg)"
         sleep 1
         killall hyperiond   
         sleep $WaitTimeAfterStop                
      else
         echo "Ambilight bereits Ausgeschalten!"  
      fi      
    elif [ "$status" = "power status: on" ] || [ "$status" = "power status: in transition from standby to on" ]; then
      echo "Fernsehe ist aktuell Eingeschalten!"    
      #Hyperion Status abfragen, ob bereits eingeschaltet
      SERVICE='hyperiond'
      if ps | grep -v grep | grep $SERVICE > /dev/null
      then
         echo "Ambilight bereits Eingeschalten!"
      else
         echo "Ambilight luft nicht - Einschalten!"
         killall hyperiond
         sleep 1
         if [ "$path" = "/storage/.config/hyperion.config.json" ] || [ "$path" = "/storage/.config/hyperion.config.kodi.json" ] ; then
             kodi-send -a "Notification(Hyperion Info,Ambilight fr Kodi aktiviert,7000,http://powerpi.de/wp-content/uploads/powerpi/powerpi_ambi_thumb_kodi.jpg)"
         else
             kodi-send -a "Notification(Hyperion Info,Ambilight fr externe Gerte aktiviert,7000,http://powerpi.de/wp-content/uploads/powerpi/powerpi_ambi_thumb_hdmi.jpg)"
         fi
         /storage/hyperion/bin/hyperiond.sh $path > /dev/null 2>&1 &
         sleep $WaitTimeAfterStart   
      fi      
    fi 
       
    echo "Warte $CheckTime Sekunden bevor wir den Status (erneut) checken!"
    sleep $CheckTime
    

echo $status
done
exit 0